package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity 
@Table(name = "KebutuhanDasar_t")
public class KebutuhanDasar extends BaseTransaction{
	
	
	@ManyToOne
	@JoinColumn(name = "ObjectantrianPasienDiPeriksaFk")
	@NotNull(message = "antrianPasienDiPeriksa tidak boleh kosong")
	private AntrianPasienDiPeriksa antrianPasienDiPeriksa;	
	
	@Column(name = "ObjectantrianPasienDiPeriksaFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String antrianPasienDiPeriksaId;

	@ManyToOne
	@JoinColumn(name = "ObjectpolaNafasFk")
	@NotNull(message="Oksigenasi Harus Diisi")
	@Caption(value="polaNafas")
	private OksigenasiPolaNafas polaNafas;

	@Column(name = "ObjectpolaNafasFk", insertable=false,updatable=false, nullable=false)
	private Integer polaNafasId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectbatukFk")
	@NotNull(message="Oksigenasi Harus Diisi")
	@Caption(value="batuk")
	private OksigenasiBatuk batuk;

	@Column(name = "ObjectbatukFk", insertable=false,updatable=false, nullable=false)
	private Integer batukId;

	@ManyToOne
	@JoinColumn(name = "ObjectsianosisFk")
	@NotNull(message="Oksigenasi Harus Diisi")
	@Caption(value="sianosis")
	private OksigenasiSianosis sianosis;

	@Column(name = "ObjectsianosisFk", insertable=false,updatable=false, nullable=false)
	private Integer sianosisId;

	@ManyToOne
	@JoinColumn(name = "ObjectnadiFk")
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="nadi")
	private CairanNadi nadi;

	@Column(name = "ObjectnadiFk", insertable=false,updatable=false, nullable=false)
	private Integer nadiId;

	@ManyToOne
	@JoinColumn(name = "ObjectubunUbunFk")
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="ubunUbun")
	private CairanUbunUbun ubunUbun;

	@Column(name = "ObjectubunUbunFk", insertable=false,updatable=false, nullable=false)
	private Integer ubunUbunId;

	@ManyToOne
	@JoinColumn(name = "ObjectturgorKulitFk")
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="turgorKulit")
	private CairanTurgorKulit turgorKulit;

	@Column(name = "ObjectturgorKulitFk", insertable=false,updatable=false, nullable=false)
	private Integer turgorKulitId;

	@ManyToOne
	@JoinColumn(name = "ObjectcrtFk")
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="crt")
	private CairanCrt crt;

	@Column(name = "ObjectcrtFk", insertable=false,updatable=false, nullable=false)
	private Integer crtId;

	@ManyToOne
	@JoinColumn(name = "ObjectedemaFk")
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="edema")
	private CairanEdema edema;

	@Column(name = "ObjectedemaFk", insertable=false,updatable=false, nullable=false)
	private Integer edemaId;

	@ManyToOne
	@JoinColumn(name = "ObjectakralFk")
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="akral")
	private CairanAkral akral;

	@Column(name = "ObjectakralFk", insertable=false,updatable=false, nullable=false)
	private Integer akralId;

	@ManyToOne
	@JoinColumn(name = "ObjectkomponenFk")
	@NotNull(message="Neurologi Harus Diisi")
	@Caption(value="komponen")
	private NeurologiKomponen komponen;

	@Column(name = "ObjectkomponenFk", insertable=false,updatable=false, nullable=false)
	private Integer komponenId;

	@ManyToOne
	@JoinColumn(name = "ObjectkejangFk")
	@NotNull(message="Neurologi Harus Diisi")
	@Caption(value="kejang")
	private NeurologiKejang kejang;

	@Column(name = "ObjectkejangFk", insertable=false,updatable=false, nullable=false)
	private Integer kejangId;

	@ManyToOne
	@JoinColumn(name = "ObjectmukosaFk")
	@NotNull(message="Kebutuhan Nutrisi Harus Diisi")
	@Caption(value="mukosa")
	private NutrisiMukosa mukosa;

	@Column(name = "ObjectmukosaFk", insertable=false,updatable=false, nullable=false)
	private Integer mukosaId;

	@ManyToOne
	@JoinColumn(name = "ObjectstomatitisFk")
	@NotNull(message="Kebutuhan Nutrisi Harus Diisi")
	@Caption(value="stomatitis")
	private NutrisiStomatitis stomatitis;

	@Column(name = "ObjectstomatitisFk", insertable=false,updatable=false, nullable=false)
	private Integer stomatitisId;

	@ManyToOne
	@JoinColumn(name = "ObjectmuntahFk")
	@NotNull(message="Kebutuhan Nutrisi Harus Diisi")
	@Caption(value="muntah")
	private NutrisiMuntah muntah;

	@Column(name = "ObjectmuntahFk", insertable=false,updatable=false, nullable=false)
	private Integer muntahId;

	@ManyToOne
	@JoinColumn(name = "ObjectmualFk")
	@NotNull(message="Kebutuhan Nutrisi Harus Diisi")
	@Caption(value="mual")
	private NutrisiMual mual;

	@Column(name = "ObjectmualFk", insertable=false,updatable=false, nullable=false)
	private Integer mualId;

	@ManyToOne
	@JoinColumn(name = "ObjectanusFk")
	@NotNull(message="Eliminasi Defeaksi Harus Diisi")
	@Caption(value="anus")
	private DefeaksiAnus anus;

	@Column(name = "ObjectanusFk", insertable=false,updatable=false, nullable=false)
	private Integer anusId;

	@ManyToOne
	@JoinColumn(name = "ObjectbabFk")
	@NotNull(message="Eliminasi Defeaksi Harus Diisi")
	@Caption(value="bab")
	private DefeaksiBab bab;

	@Column(name = "ObjectbabFk", insertable=false,updatable=false, nullable=false)
	private Integer babId;

	@ManyToOne
	@JoinColumn(name = "ObjectfesesFk")
	@NotNull(message="Eliminasi Defeaksi Harus Diisi")
	@Caption(value="feses")
	private DefeaksiFeses feses;

	@Column(name = "ObjectfesesFk", insertable=false,updatable=false, nullable=false)
	private Integer fesesId;

	@ManyToOne
	@JoinColumn(name = "ObjectbakFk")
	@NotNull(message="Eliminasi Urin Harus Diisi")
	@Caption(value="bak")
	private UrinBak bak;

	@Column(name = "ObjectbakFk", insertable=false,updatable=false, nullable=false)
	private Integer bakId;

	@ManyToOne
	@JoinColumn(name = "ObjectalatGenitaliaFk")
	@NotNull(message="Eliminasi Urin Harus Diisi")
	@Caption(value="alatGenitalia")
	private UrinAlatGenitalia alatGenitalia;

	@Column(name = "ObjectalatGenitaliaFk", insertable=false,updatable=false, nullable=false)
	private Integer alatGenitaliaId;

	@ManyToOne
	@JoinColumn(name = "ObjectwarnaFk")
	@NotNull(message="Integumen Harus Diisi")
	@Caption(value="warna")
	private IntegumenWarna warna;

	@Column(name = "ObjectwarnaFk", insertable=false,updatable=false, nullable=false)
	private Integer warnaId;

	@ManyToOne
	@JoinColumn(name = "ObjectkelainanKulitFk")
	@NotNull(message="Integumen Harus Diisi")
	@Caption(value="kelainanKulit")
	private IntegumenKelainanKulit kelainanKulit;

	@Column(name = "ObjectkelainanKulitFk", insertable=false,updatable=false, nullable=false)
	private Integer kelainanKulitId;

	@ManyToOne
	@JoinColumn(name = "ObjectkulitFk")
	@NotNull(message="Integumen Harus Diisi")
	@Caption(value="kulit")
	private IntegumenKulit kulit;

	@Column(name = "ObjectkulitFk", insertable=false,updatable=false, nullable=false)
	private Integer kulitId;

	@ManyToOne
	@JoinColumn(name = "ObjectaktifFk")
	@NotNull(message="Aktifitas Anak Harus Diisi")
	@Caption(value="aktif")
	private AnakAktif aktif;

	@Column(name = "ObjectaktifFk", insertable=false,updatable=false, nullable=false)
	private Integer aktifId;

	@ManyToOne
	@JoinColumn(name = "ObjectlelahFk")
	@NotNull(message="Aktifitas Anak Harus Diisi")
	@Caption(value="lelah")
	private AnakLelah lelah;

	@Column(name = "ObjectlelahFk", insertable=false,updatable=false, nullable=false)
	private Integer lelahId;

	@ManyToOne
	@JoinColumn(name = "ObjectpenglihatanFk")
	@NotNull(message="Persepsi Kognisi Harus Diisi")
	@Caption(value="penglihatan")
	private KognisiPenglihatan penglihatan;

	@Column(name = "ObjectpenglihatanFk", insertable=false,updatable=false, nullable=false)
	private Integer penglihatanId;

	@ManyToOne
	@JoinColumn(name = "ObjectpendengaranFk")
	@NotNull(message="Persepsi Kognisi Harus Diisi")
	@Caption(value="pendengaran")
	private KognisiPendengaran pendengaran;

	@Column(name = "ObjectpendengaranFk", insertable=false,updatable=false, nullable=false)
	private Integer pendengaranId;

	@ManyToOne
	@JoinColumn(name = "ObjectdayaIngatFk")
	@NotNull(message="Persepsi Kognisi Harus Diisi")
	@Caption(value="dayaIngat")
	private KognisiDayaIngat dayaIngat;

	@Column(name = "ObjectdayaIngatFk", insertable=false,updatable=false, nullable=false)
	private Integer dayaIngatId;

	@ManyToOne
	@JoinColumn(name = "ObjectlamaTidurFk")
	@NotNull(message="Tidur Istirahat Harus Diisi")
	@Caption(value="lamaTidur")
	private StatusLamaTidur lamaTidur;

	@Column(name = "ObjectlamaTidurFk", insertable=false,updatable=false, nullable=false)
	private Integer lamaTidurId;

	@ManyToOne
	@JoinColumn(name = "ObjectgambaranFk")
	@NotNull(message="Konsep Diri Harus Diisi")
	@Caption(value="gambaran")
	private KonsepDiriGambaran gambaran;

	@Column(name = "ObjectgambaranFk", insertable=false,updatable=false, nullable=false)
	private Integer gambaranId;

	@ManyToOne
	@JoinColumn(name = "ObjectmasalahFk")
	@NotNull(message="Peran Hubungan Harus Diisi")
	@Caption(value="masalah")
	private PeranMasalah masalah;

	@Column(name = "ObjectmasalahFk", insertable=false,updatable=false, nullable=false)
	private Integer masalahId;

	@ManyToOne
	@JoinColumn(name = "ObjectpengaruhPenyakitFk")
	@NotNull(message="Peran Hubungan Harus Diisi")
	@Caption(value="pengaruhPenyakit")
	private PeranPengaruhPenyakit pengaruhPenyakit;

	@Column(name = "ObjectpengaruhPenyakitFk", insertable=false,updatable=false, nullable=false)
	private Integer pengaruhPenyakitId;

	@ManyToOne
	@JoinColumn(name = "ObjectkopingFk")
	@NotNull(message="Koping Harus Diisi")
	@Caption(value="koping")
	private KopingEfektif koping;

	@Column(name = "ObjectkopingFk", insertable=false,updatable=false, nullable=false)
	private Integer kopingId;

	@ManyToOne
	@JoinColumn(name = "ObjectpertolonganFk")
	@NotNull(message="Nilai Nilai Harus Diisi")
	@Caption(value="pertolongan")
	private NilaiPertolongan pertolongan;

	@Column(name = "ObjectpertolonganFk", insertable=false,updatable=false, nullable=false)
	private Integer pertolonganId;

	@ManyToOne
	@JoinColumn(name = "ObjectharapanFk")
	@NotNull(message="Nilai Nilai Harus Diisi")
	@Caption(value="harapan")
	private NilaiHarapan harapan;

	@Column(name = "ObjectharapanFk", insertable=false,updatable=false, nullable=false)
	private Integer harapanId;

	@ManyToOne
	@JoinColumn(name = "ObjectsehatFk")
	@NotNull(message="Persepsi Pasien Harus Diisi")
	@Caption(value="sehat")
	private PersepsiSehat sehat;

	@Column(name = "ObjectsehatFk", insertable=false,updatable=false, nullable=false)
	private Integer sehatId;

	@ManyToOne
	@JoinColumn(name = "ObjectpenyakitFk")
	@NotNull(message="Persepsi Pasien Harus Diisi")
	@Caption(value="penyakit")
	private PersepsiPenyakit penyakit;

	@Column(name = "ObjectpenyakitFk", insertable=false,updatable=false, nullable=false)
	private Integer penyakitId;

	@ManyToOne
	@JoinColumn(name = "ObjectkegiatanFk")
	@NotNull(message="Persepsi Pasien Harus Diisi")
	@Caption(value="kegiatan")
	private PersepsiKegiatan kegiatan;

	@Column(name = "ObjectkegiatanFk", insertable=false,updatable=false, nullable=false)
	private Integer kegiatanId;

	@Column(name = "isNormalOksigenasi", nullable = false)
	@Caption(value = "isNormalOksigenasi")
	private Boolean isNormalOksigenasi;
	
	@Column(name = "isNormalKebutuhanCairan", nullable = false)
	@Caption(value = "isNormalKebutuhanCairan")
	private Boolean isNormalKebutuhanCairan;
	
	@Column(name = "isNormalNeurologi", nullable = false)
	@Caption(value = "isNormalNeurologi")
	private Boolean isNormalNeurologi;

	@Column(name = "isNormalKebutuhanNutrisi", nullable = false)
	@Caption(value = "isNormalKebutuhanNutrisi")
	private Boolean isNormalKebutuhanNutrisi;

	@Column(name = "isNormalDefeaksi", nullable = false)
	@Caption(value = "isNormalDefeaksi")
	private Boolean isNormalDefeaksi;

	@Column(name = "isNormalUrin", nullable = false)
	@Caption(value = "isNormalUrin")
	private Boolean isNormalUrin;

	@Column(name = "isNormalIntegumen", nullable = false)
	@Caption(value = "isNormalIntegumen")
	private Boolean isNormalIntegumen;
	
	@Column(name = "isNormalAktifitasAnak", nullable = false)
	@Caption(value = "isNormalAktifitasAnak")
	private Boolean isNormalAktifitasAnak;

	@Column(name = "isNormalPersepsiKognisi", nullable = false)
	@Caption(value = "isNormalPersepsiKognisi")
	private Boolean isNormalPersepsiKognisi;

	@Column(name = "isNormalTidurIstirahat", nullable = false)
	@Caption(value = "isNormalTidurIstirahat")
	private Boolean isNormalTidurIstirahat;

	@Column(name = "isNormalKonsepDiri", nullable = false)
	@Caption(value = "isNormalKonsepDiri")
	private Boolean isNormalKonsepDiri;

	@Column(name = "isNormalPeranHubungan", nullable = false)
	@Caption(value = "isNormalPeranHubungan")
	private Boolean isNormalPeranHubungan;

	@Column(name = "isNormalKoping", nullable = false)
	@Caption(value = "isNormalKoping")
	private Boolean isNormalKoping;

	@Column(name = "isNormalNilaiNilai", nullable = false)
	@Caption(value = "isNormalNilaiNilai")
	private Boolean isNormalNilaiNilai;

	@Column(name = "isNormalPersepsiPasien", nullable = false)
	@Caption(value = "isNormalPersepsiPasien")
	private Boolean isNormalPersepsiPasien;

	@Column(name = "KeteranganPolaNafas", nullable = true)
	@Caption(value = "KeteranganPolaNafas")
	private String keteranganPolaNafas;
	
	@Column(name = "KeteranganBatuk", nullable = true)
	@Caption(value = "KeteranganBatuk")
	private String keteranganBatuk;
	
	@Column(name = "KeteranganSianosis", nullable = true)
	@Caption(value = "KeteranganSianosis")
	private String keteranganSianosis;
	
	@Column(name = "KeteranganNadi", nullable = true)
	@Caption(value = "KeteranganNadi")
	private String keteranganNadi;
	
	@Column(name = "KeteranganUbun", nullable = true)
	@Caption(value = "KeteranganUbun")
	private String keteranganUbun;
	
	@Column(name = "KeteranganTurgorKulit", nullable = true)
	@Caption(value = "KeteranganTurgorKulit")
	private String keteranganTurgorKulit;
	
	@Column(name = "KeteranganCrt", nullable = true)
	@Caption(value = "KeteranganCrt")
	private String keteranganCrt;
	
	@Column(name = "KeteranganEdema", nullable = true)
	@Caption(value = "KeteranganEdema")
	private String keteranganEdema;
	
	@Column(name = "KeteranganAkral", nullable = true)
	@Caption(value = "KeteranganAkral")
	private String keteranganAkral;
	
	@Column(name = "KeteranganKomponen", nullable = true)
	@Caption(value = "KeteranganKomponen")
	private String keteranganKomponen;
	
	@Column(name = "KeteranganKejang", nullable = true)
	@Caption(value = "KeteranganKejang")
	private String keteranganKejang;
	
	@Column(name = "KeteranganMukosa", nullable = true)
	@Caption(value = "KeteranganMukosa")
	private String keteranganMukosa;
	
	@Column(name = "KeteranganStomatitis", nullable = true)
	@Caption(value = "KeteranganStomatitis")
	private String keteranganStomatitis;
	
	@Column(name = "KeteranganMuntah", nullable = true)
	@Caption(value = "KeteranganMuntah")
	private String keteranganMuntah;
	
	@Column(name = "KeteranganMual", nullable = true)
	@Caption(value = "KeteranganMual")
	private String keteranganMual;
	
	@Column(name = "KeteranganAnus", nullable = true)
	@Caption(value = "KeteranganAnus")
	private String keteranganAnus;
	
	@Column(name = "KeteranganBab", nullable = true)
	@Caption(value = "KeteranganBab")
	private String keteranganBab;
	
	@Column(name = "KeteranganFeses", nullable = true)
	@Caption(value = "KeteranganFeses")
	private String keteranganFeses;
	
	@Column(name = "KeteranganBak", nullable = true)
	@Caption(value = "KeteranganBak")
	private String keteranganBak;
	
	@Column(name = "KeteranganAlatGenitalia", nullable = true)
	@Caption(value = "KeteranganAlatGenitalia")
	private String keteranganAlatGenitalia;
	
	@Column(name = "KeteranganWarna", nullable = true)
	@Caption(value = "KeteranganWarna")
	private String keteranganWarna;
	
	@Column(name = "KeteranganKelainanKulit", nullable = true)
	@Caption(value = "KeteranganKelainanKulit")
	private String keteranganKelainanKulit;
	
	@Column(name = "KeteranganKulit", nullable = true)
	@Caption(value = "KeteranganKulit")
	private String keteranganKulit;
	
	@Column(name = "KeteranganAktif", nullable = true)
	@Caption(value = "KeteranganAktif")
	private String keteranganAktif;
	
	@Column(name = "KeteranganLelah", nullable = true)
	@Caption(value = "KeteranganLelah")
	private String keteranganLelah;
	
	@Column(name = "KeteranganPenglihatan", nullable = true)
	@Caption(value = "KeteranganPenglihatan")
	private String keteranganPenglihatan;
	
	@Column(name = "KeteranganPendengaran", nullable = true)
	@Caption(value = "KeteranganPendengaran")
	private String keteranganPendengaran;
	
	@Column(name = "KeteranganDayaIngat", nullable = true)
	@Caption(value = "KeteranganDayaIngat")
	private String keteranganDayaIngat;
	
	@Column(name = "KeteranganGambaran", nullable = true)
	@Caption(value = "KeteranganGambaran")
	private String keteranganGambaran;
	
	@Column(name = "KeteranganLamaTidur", nullable = true)
	@Caption(value = "KeteranganLamaTidur")
	private String keteranganLamaTidur;
	
	@Column(name = "KeteranganMasalah", nullable = true)
	@Caption(value = "KeteranganMasalah")
	private String keteranganMasalah;
	
	@Column(name = "KeteranganPengaruhPenyakit", nullable = true)
	@Caption(value = "KeteranganPengaruhPenyakit")
	private String keteranganPengaruhPenyakit;
	
	@Column(name = "KeteranganKoping", nullable = true)
	@Caption(value = "KeteranganKoping")
	private String keteranganKoping;
	
	@Column(name = "KeteranganPertolongan", nullable = true)
	@Caption(value = "KeteranganPertolongan")
	private String keteranganPertolongan;
	
	@Column(name = "KeteranganHarapan", nullable = true)
	@Caption(value = "KeteranganHarapan")
	private String keteranganHarapan;
	
	@Column(name = "KeteranganSehat", nullable = true)
	@Caption(value = "KeteranganSehat")
	private String keteranganSehat;
	
	@Column(name = "KeteranganPenyakit", nullable = true)
	@Caption(value = "KeteranganPenyakit")
	private String keteranganPenyakit;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "pengkajianAwalBaru")
	@JoinColumn(name = "ObjectPengkajianAwalBaruFk")
	private PengkajianAwalBaru pengkajianAwalBaru;
	
	@Column(name = "ObjectPengkajianAwalBaruFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false)
	private String pengkajianAwalBaruId;
	
	public OksigenasiPolaNafas getPolaNafas() {
		return polaNafas;
	}
	public void setPolaNafas(OksigenasiPolaNafas polaNafas) {
		this.polaNafas = polaNafas;
	}
	public OksigenasiBatuk getBatuk() {
		return batuk;
	}
	public void setBatuk(OksigenasiBatuk batuk) {
		this.batuk = batuk;
	}
	public OksigenasiSianosis getSianosis() {
		return sianosis;
	}
	public void setSianosis(OksigenasiSianosis sianosis) {
		this.sianosis = sianosis;
	}
	public CairanNadi getNadi() {
		return nadi;
	}
	public void setNadi(CairanNadi nadi) {
		this.nadi = nadi;
	}
	public CairanUbunUbun getUbunUbun() {
		return ubunUbun;
	}
	public void setUbunUbun(CairanUbunUbun ubunUbun) {
		this.ubunUbun = ubunUbun;
	}
	public CairanTurgorKulit getTurgorKulit() {
		return turgorKulit;
	}
	public void setTurgorKulit(CairanTurgorKulit turgorKulit) {
		this.turgorKulit = turgorKulit;
	}
	public CairanCrt getCrt() {
		return crt;
	}
	public void setCrt(CairanCrt crt) {
		this.crt = crt;
	}
	public CairanEdema getEdema() {
		return edema;
	}
	public void setEdema(CairanEdema edema) {
		this.edema = edema;
	}
	public CairanAkral getAkral() {
		return akral;
	}
	public void setAkral(CairanAkral akral) {
		this.akral = akral;
	}
	public NeurologiKomponen getKomponen() {
		return komponen;
	}
	public void setKomponen(NeurologiKomponen komponen) {
		this.komponen = komponen;
	}
	public NeurologiKejang getKejang() {
		return kejang;
	}
	public void setKejang(NeurologiKejang kejang) {
		this.kejang = kejang;
	}
	public NutrisiMukosa getMukosa() {
		return mukosa;
	}
	public void setMukosa(NutrisiMukosa mukosa) {
		this.mukosa = mukosa;
	}
	public NutrisiStomatitis getStomatitis() {
		return stomatitis;
	}
	public void setStomatitis(NutrisiStomatitis stomatitis) {
		this.stomatitis = stomatitis;
	}
	public NutrisiMuntah getMuntah() {
		return muntah;
	}
	public void setMuntah(NutrisiMuntah muntah) {
		this.muntah = muntah;
	}
	public NutrisiMual getMual() {
		return mual;
	}
	public void setMual(NutrisiMual mual) {
		this.mual = mual;
	}
	public DefeaksiAnus getAnus() {
		return anus;
	}
	public void setAnus(DefeaksiAnus anus) {
		this.anus = anus;
	}
	public DefeaksiBab getBab() {
		return bab;
	}
	public void setBab(DefeaksiBab bab) {
		this.bab = bab;
	}
	public DefeaksiFeses getFeses() {
		return feses;
	}
	public void setFeses(DefeaksiFeses feses) {
		this.feses = feses;
	}
	public UrinBak getBak() {
		return bak;
	}
	public void setBak(UrinBak bak) {
		this.bak = bak;
	}
	public UrinAlatGenitalia getAlatGenitalia() {
		return alatGenitalia;
	}
	public void setAlatGenitalia(UrinAlatGenitalia alatGenitalia) {
		this.alatGenitalia = alatGenitalia;
	}
	public IntegumenWarna getWarna() {
		return warna;
	}
	public void setWarna(IntegumenWarna warna) {
		this.warna = warna;
	}
	public IntegumenKelainanKulit getKelainanKulit() {
		return kelainanKulit;
	}
	public void setKelainanKulit(IntegumenKelainanKulit kelainanKulit) {
		this.kelainanKulit = kelainanKulit;
	}
	public IntegumenKulit getKulit() {
		return kulit;
	}
	public void setKulit(IntegumenKulit kulit) {
		this.kulit = kulit;
	}
	public AnakAktif getAktif() {
		return aktif;
	}
	public void setAktif(AnakAktif aktif) {
		this.aktif = aktif;
	}
	public AnakLelah getLelah() {
		return lelah;
	}
	public void setLelah(AnakLelah lelah) {
		this.lelah = lelah;
	}
	public KognisiPenglihatan getPenglihatan() {
		return penglihatan;
	}
	public void setPenglihatan(KognisiPenglihatan penglihatan) {
		this.penglihatan = penglihatan;
	}
	public KognisiPendengaran getPendengaran() {
		return pendengaran;
	}
	public void setPendengaran(KognisiPendengaran pendengaran) {
		this.pendengaran = pendengaran;
	}
	public KognisiDayaIngat getDayaIngat() {
		return dayaIngat;
	}
	public void setDayaIngat(KognisiDayaIngat dayaIngat) {
		this.dayaIngat = dayaIngat;
	}
	public StatusLamaTidur getLamaTidur() {
		return lamaTidur;
	}
	public void setLamaTidur(StatusLamaTidur lamaTidur) {
		this.lamaTidur = lamaTidur;
	}
	public KonsepDiriGambaran getGambaran() {
		return gambaran;
	}
	public void setGambaran(KonsepDiriGambaran gambaran) {
		this.gambaran = gambaran;
	}
	public PeranMasalah getMasalah() {
		return masalah;
	}
	public void setMasalah(PeranMasalah masalah) {
		this.masalah = masalah;
	}
	public PeranPengaruhPenyakit getPengaruhPenyakit() {
		return pengaruhPenyakit;
	}
	public void setPengaruhPenyakit(PeranPengaruhPenyakit pengaruhPenyakit) {
		this.pengaruhPenyakit = pengaruhPenyakit;
	}
	public KopingEfektif getKoping() {
		return koping;
	}
	public void setKoping(KopingEfektif koping) {
		this.koping = koping;
	}
	public NilaiPertolongan getPertolongan() {
		return pertolongan;
	}
	public void setPertolongan(NilaiPertolongan pertolongan) {
		this.pertolongan = pertolongan;
	}
	public NilaiHarapan getHarapan() {
		return harapan;
	}
	public void setHarapan(NilaiHarapan harapan) {
		this.harapan = harapan;
	}
	public PersepsiSehat getSehat() {
		return sehat;
	}
	public void setSehat(PersepsiSehat sehat) {
		this.sehat = sehat;
	}
	public PersepsiPenyakit getPenyakit() {
		return penyakit;
	}
	public void setPenyakit(PersepsiPenyakit penyakit) {
		this.penyakit = penyakit;
	}
	public PersepsiKegiatan getKegiatan() {
		return kegiatan;
	}
	public void setKegiatan(PersepsiKegiatan kegiatan) {
		this.kegiatan = kegiatan;
	}
	public AntrianPasienDiPeriksa getAntrianPasienDiPeriksa() {
		return antrianPasienDiPeriksa;
	}
	public void setAntrianPasienDiPeriksa(AntrianPasienDiPeriksa antrianPasienDiPeriksa) {
		this.antrianPasienDiPeriksa = antrianPasienDiPeriksa;
	}
	public String getAntrianPasienDiPeriksaId() {
		return antrianPasienDiPeriksaId;
	}
	public void setAntrianPasienDiPeriksaId(String antrianPasienDiPeriksaId) {
		this.antrianPasienDiPeriksaId = antrianPasienDiPeriksaId;
	}
	public Integer getPolaNafasId() {
		return polaNafasId;
	}
	public void setPolaNafasId(Integer polaNafasId) {
		this.polaNafasId = polaNafasId;
	}
	public Integer getBatukId() {
		return batukId;
	}
	public void setBatukId(Integer batukId) {
		this.batukId = batukId;
	}
	public Integer getSianosisId() {
		return sianosisId;
	}
	public void setSianosisId(Integer sianosisId) {
		this.sianosisId = sianosisId;
	}
	public Integer getNadiId() {
		return nadiId;
	}
	public void setNadiId(Integer nadiId) {
		this.nadiId = nadiId;
	}
	public Integer getUbunUbunId() {
		return ubunUbunId;
	}
	public void setUbunUbunId(Integer ubunUbunId) {
		this.ubunUbunId = ubunUbunId;
	}
	public Integer getTurgorKulitId() {
		return turgorKulitId;
	}
	public void setTurgorKulitId(Integer turgorKulitId) {
		this.turgorKulitId = turgorKulitId;
	}
	public Integer getCrtId() {
		return crtId;
	}
	public void setCrtId(Integer crtId) {
		this.crtId = crtId;
	}
	public Integer getEdemaId() {
		return edemaId;
	}
	public void setEdemaId(Integer edemaId) {
		this.edemaId = edemaId;
	}
	public Integer getAkralId() {
		return akralId;
	}
	public void setAkralId(Integer akralId) {
		this.akralId = akralId;
	}
	public Integer getKomponenId() {
		return komponenId;
	}
	public void setKomponenId(Integer komponenId) {
		this.komponenId = komponenId;
	}
	public Integer getKejangId() {
		return kejangId;
	}
	public void setKejangId(Integer kejangId) {
		this.kejangId = kejangId;
	}
	public Integer getMukosaId() {
		return mukosaId;
	}
	public void setMukosaId(Integer mukosaId) {
		this.mukosaId = mukosaId;
	}
	public Integer getStomatitisId() {
		return stomatitisId;
	}
	public void setStomatitisId(Integer stomatitisId) {
		this.stomatitisId = stomatitisId;
	}
	public Integer getMuntahId() {
		return muntahId;
	}
	public void setMuntahId(Integer muntahId) {
		this.muntahId = muntahId;
	}
	public Integer getMualId() {
		return mualId;
	}
	public void setMualId(Integer mualId) {
		this.mualId = mualId;
	}
	public Integer getAnusId() {
		return anusId;
	}
	public void setAnusId(Integer anusId) {
		this.anusId = anusId;
	}
	public Integer getBabId() {
		return babId;
	}
	public void setBabId(Integer babId) {
		this.babId = babId;
	}
	public Integer getFesesId() {
		return fesesId;
	}
	public void setFesesId(Integer fesesId) {
		this.fesesId = fesesId;
	}
	public Integer getBakId() {
		return bakId;
	}
	public void setBakId(Integer bakId) {
		this.bakId = bakId;
	}
	public Integer getAlatGenitaliaId() {
		return alatGenitaliaId;
	}
	public void setAlatGenitaliaId(Integer alatGenitaliaId) {
		this.alatGenitaliaId = alatGenitaliaId;
	}
	public Integer getWarnaId() {
		return warnaId;
	}
	public void setWarnaId(Integer warnaId) {
		this.warnaId = warnaId;
	}
	public Integer getKelainanKulitId() {
		return kelainanKulitId;
	}
	public void setKelainanKulitId(Integer kelainanKulitId) {
		this.kelainanKulitId = kelainanKulitId;
	}
	public Integer getKulitId() {
		return kulitId;
	}
	public void setKulitId(Integer kulitId) {
		this.kulitId = kulitId;
	}
	public Integer getAktifId() {
		return aktifId;
	}
	public void setAktifId(Integer aktifId) {
		this.aktifId = aktifId;
	}
	public Integer getLelahId() {
		return lelahId;
	}
	public void setLelahId(Integer lelahId) {
		this.lelahId = lelahId;
	}
	public Integer getPenglihatanId() {
		return penglihatanId;
	}
	public void setPenglihatanId(Integer penglihatanId) {
		this.penglihatanId = penglihatanId;
	}
	public Integer getPendengaranId() {
		return pendengaranId;
	}
	public void setPendengaranId(Integer pendengaranId) {
		this.pendengaranId = pendengaranId;
	}
	public Integer getDayaIngatId() {
		return dayaIngatId;
	}
	public void setDayaIngatId(Integer dayaIngatId) {
		this.dayaIngatId = dayaIngatId;
	}
	public Integer getLamaTidurId() {
		return lamaTidurId;
	}
	public void setLamaTidurId(Integer lamaTidurId) {
		this.lamaTidurId = lamaTidurId;
	}
	public Integer getGambaranId() {
		return gambaranId;
	}
	public void setGambaranId(Integer gambaranId) {
		this.gambaranId = gambaranId;
	}
	public Integer getMasalahId() {
		return masalahId;
	}
	public void setMasalahId(Integer masalahId) {
		this.masalahId = masalahId;
	}
	public Integer getPengaruhPenyakitId() {
		return pengaruhPenyakitId;
	}
	public void setPengaruhPenyakitId(Integer pengaruhPenyakitId) {
		this.pengaruhPenyakitId = pengaruhPenyakitId;
	}
	public Integer getKopingId() {
		return kopingId;
	}
	public void setKopingId(Integer kopingId) {
		this.kopingId = kopingId;
	}
	public Integer getPertolonganId() {
		return pertolonganId;
	}
	public void setPertolonganId(Integer pertolonganId) {
		this.pertolonganId = pertolonganId;
	}
	public Integer getHarapanId() {
		return harapanId;
	}
	public void setHarapanId(Integer harapanId) {
		this.harapanId = harapanId;
	}
	public Integer getSehatId() {
		return sehatId;
	}
	public void setSehatId(Integer sehatId) {
		this.sehatId = sehatId;
	}
	public Integer getPenyakitId() {
		return penyakitId;
	}
	public void setPenyakitId(Integer penyakitId) {
		this.penyakitId = penyakitId;
	}
	public Integer getKegiatanId() {
		return kegiatanId;
	}
	public void setKegiatanId(Integer kegiatanId) {
		this.kegiatanId = kegiatanId;
	}
	public Boolean getIsNormalOksigenasi() {
		return isNormalOksigenasi;
	}
	public void setIsNormalOksigenasi(Boolean isNormalOksigenasi) {
		this.isNormalOksigenasi = isNormalOksigenasi;
	}
	public Boolean getIsNormalKebutuhanCairan() {
		return isNormalKebutuhanCairan;
	}
	public void setIsNormalKebutuhanCairan(Boolean isNormalKebutuhanCairan) {
		this.isNormalKebutuhanCairan = isNormalKebutuhanCairan;
	}
	public Boolean getIsNormalNeurologi() {
		return isNormalNeurologi;
	}
	public void setIsNormalNeurologi(Boolean isNormalNeurologi) {
		this.isNormalNeurologi = isNormalNeurologi;
	}
	public Boolean getIsNormalKebutuhanNutrisi() {
		return isNormalKebutuhanNutrisi;
	}
	public void setIsNormalKebutuhanNutrisi(Boolean isNormalKebutuhanNutrisi) {
		this.isNormalKebutuhanNutrisi = isNormalKebutuhanNutrisi;
	}
	public Boolean getIsNormalDefeaksi() {
		return isNormalDefeaksi;
	}
	public void setIsNormalDefeaksi(Boolean isNormalDefeaksi) {
		this.isNormalDefeaksi = isNormalDefeaksi;
	}
	public Boolean getIsNormalUrin() {
		return isNormalUrin;
	}
	public void setIsNormalUrin(Boolean isNormalUrin) {
		this.isNormalUrin = isNormalUrin;
	}
	public Boolean getIsNormalAktifitasAnak() {
		return isNormalAktifitasAnak;
	}
	public void setIsNormalAktifitasAnak(Boolean isNormalAktifitasAnak) {
		this.isNormalAktifitasAnak = isNormalAktifitasAnak;
	}
	public Boolean getIsNormalPersepsiKognisi() {
		return isNormalPersepsiKognisi;
	}
	public void setIsNormalPersepsiKognisi(Boolean isNormalPersepsiKognisi) {
		this.isNormalPersepsiKognisi = isNormalPersepsiKognisi;
	}
	public Boolean getIsNormalTidurIstirahat() {
		return isNormalTidurIstirahat;
	}
	public void setIsNormalTidurIstirahat(Boolean isNormalTidurIstirahat) {
		this.isNormalTidurIstirahat = isNormalTidurIstirahat;
	}
	public Boolean getIsNormalKonsepDiri() {
		return isNormalKonsepDiri;
	}
	public void setIsNormalKonsepDiri(Boolean isNormalKonsepDiri) {
		this.isNormalKonsepDiri = isNormalKonsepDiri;
	}
	public Boolean getIsNormalPeranHubungan() {
		return isNormalPeranHubungan;
	}
	public void setIsNormalPeranHubungan(Boolean isNormalPeranHubungan) {
		this.isNormalPeranHubungan = isNormalPeranHubungan;
	}
	public Boolean getIsNormalKoping() {
		return isNormalKoping;
	}
	public void setIsNormalKoping(Boolean isNormalKoping) {
		this.isNormalKoping = isNormalKoping;
	}
	public Boolean getIsNormalNilaiNilai() {
		return isNormalNilaiNilai;
	}
	public void setIsNormalNilaiNilai(Boolean isNormalNilaiNilai) {
		this.isNormalNilaiNilai = isNormalNilaiNilai;
	}
	public Boolean getIsNormalPersepsiPasien() {
		return isNormalPersepsiPasien;
	}
	public void setIsNormalPersepsiPasien(Boolean isNormalPersepsiPasien) {
		this.isNormalPersepsiPasien = isNormalPersepsiPasien;
	}
	public Boolean getIsNormalIntegumen() {
		return isNormalIntegumen;
	}
	public void setIsNormalIntegumen(Boolean isNormalIntegumen) {
		this.isNormalIntegumen = isNormalIntegumen;
	}
	public String getKeteranganPolaNafas() {
		return keteranganPolaNafas;
	}
	public void setKeteranganPolaNafas(String keteranganPolaNafas) {
		this.keteranganPolaNafas = keteranganPolaNafas;
	}
	public String getKeteranganBatuk() {
		return keteranganBatuk;
	}
	public void setKeteranganBatuk(String keteranganBatuk) {
		this.keteranganBatuk = keteranganBatuk;
	}
	public String getKeteranganSianosis() {
		return keteranganSianosis;
	}
	public void setKeteranganSianosis(String keteranganSianosis) {
		this.keteranganSianosis = keteranganSianosis;
	}
	public String getKeteranganNadi() {
		return keteranganNadi;
	}
	public void setKeteranganNadi(String keteranganNadi) {
		this.keteranganNadi = keteranganNadi;
	}
	public String getKeteranganUbun() {
		return keteranganUbun;
	}
	public void setKeteranganUbun(String keteranganUbun) {
		this.keteranganUbun = keteranganUbun;
	}
	public String getKeteranganTurgorKulit() {
		return keteranganTurgorKulit;
	}
	public void setKeteranganTurgorKulit(String keteranganTurgorKulit) {
		this.keteranganTurgorKulit = keteranganTurgorKulit;
	}
	public String getKeteranganCrt() {
		return keteranganCrt;
	}
	public void setKeteranganCrt(String keteranganCrt) {
		this.keteranganCrt = keteranganCrt;
	}
	public String getKeteranganEdema() {
		return keteranganEdema;
	}
	public void setKeteranganEdema(String keteranganEdema) {
		this.keteranganEdema = keteranganEdema;
	}
	public String getKeteranganAkral() {
		return keteranganAkral;
	}
	public void setKeteranganAkral(String keteranganAkral) {
		this.keteranganAkral = keteranganAkral;
	}
	public String getKeteranganKomponen() {
		return keteranganKomponen;
	}
	public void setKeteranganKomponen(String keteranganKomponen) {
		this.keteranganKomponen = keteranganKomponen;
	}
	public String getKeteranganKejang() {
		return keteranganKejang;
	}
	public void setKeteranganKejang(String keteranganKejang) {
		this.keteranganKejang = keteranganKejang;
	}
	public String getKeteranganMukosa() {
		return keteranganMukosa;
	}
	public void setKeteranganMukosa(String keteranganMukosa) {
		this.keteranganMukosa = keteranganMukosa;
	}
	public String getKeteranganStomatitis() {
		return keteranganStomatitis;
	}
	public void setKeteranganStomatitis(String keteranganStomatitis) {
		this.keteranganStomatitis = keteranganStomatitis;
	}
	public String getKeteranganMuntah() {
		return keteranganMuntah;
	}
	public void setKeteranganMuntah(String keteranganMuntah) {
		this.keteranganMuntah = keteranganMuntah;
	}
	public String getKeteranganMual() {
		return keteranganMual;
	}
	public void setKeteranganMual(String keteranganMual) {
		this.keteranganMual = keteranganMual;
	}
	public String getKeteranganAnus() {
		return keteranganAnus;
	}
	public void setKeteranganAnus(String keteranganAnus) {
		this.keteranganAnus = keteranganAnus;
	}
	public String getKeteranganBab() {
		return keteranganBab;
	}
	public void setKeteranganBab(String keteranganBab) {
		this.keteranganBab = keteranganBab;
	}
	public String getKeteranganFeses() {
		return keteranganFeses;
	}
	public void setKeteranganFeses(String keteranganFeses) {
		this.keteranganFeses = keteranganFeses;
	}
	public String getKeteranganBak() {
		return keteranganBak;
	}
	public void setKeteranganBak(String keteranganBak) {
		this.keteranganBak = keteranganBak;
	}
	public String getKeteranganAlatGenitalia() {
		return keteranganAlatGenitalia;
	}
	public void setKeteranganAlatGenitalia(String keteranganAlatGenitalia) {
		this.keteranganAlatGenitalia = keteranganAlatGenitalia;
	}
	public String getKeteranganWarna() {
		return keteranganWarna;
	}
	public void setKeteranganWarna(String keteranganWarna) {
		this.keteranganWarna = keteranganWarna;
	}
	public String getKeteranganKelainanKulit() {
		return keteranganKelainanKulit;
	}
	public void setKeteranganKelainanKulit(String keteranganKelainanKulit) {
		this.keteranganKelainanKulit = keteranganKelainanKulit;
	}
	public String getKeteranganKulit() {
		return keteranganKulit;
	}
	public void setKeteranganKulit(String keteranganKulit) {
		this.keteranganKulit = keteranganKulit;
	}
	public String getKeteranganAktif() {
		return keteranganAktif;
	}
	public void setKeteranganAktif(String keteranganAktif) {
		this.keteranganAktif = keteranganAktif;
	}
	public String getKeteranganLelah() {
		return keteranganLelah;
	}
	public void setKeteranganLelah(String keteranganLelah) {
		this.keteranganLelah = keteranganLelah;
	}
	public String getKeteranganPenglihatan() {
		return keteranganPenglihatan;
	}
	public void setKeteranganPenglihatan(String keteranganPenglihatan) {
		this.keteranganPenglihatan = keteranganPenglihatan;
	}
	public String getKeteranganPendengaran() {
		return keteranganPendengaran;
	}
	public void setKeteranganPendengaran(String keteranganPendengaran) {
		this.keteranganPendengaran = keteranganPendengaran;
	}
	public String getKeteranganDayaIngat() {
		return keteranganDayaIngat;
	}
	public void setKeteranganDayaIngat(String keteranganDayaIngat) {
		this.keteranganDayaIngat = keteranganDayaIngat;
	}
	public String getKeteranganGambaran() {
		return keteranganGambaran;
	}
	public void setKeteranganGambaran(String keteranganGambaran) {
		this.keteranganGambaran = keteranganGambaran;
	}
	public String getKeteranganLamaTidur() {
		return keteranganLamaTidur;
	}
	public void setKeteranganLamaTidur(String keteranganLamaTidur) {
		this.keteranganLamaTidur = keteranganLamaTidur;
	}
	public String getKeteranganMasalah() {
		return keteranganMasalah;
	}
	public void setKeteranganMasalah(String keteranganMasalah) {
		this.keteranganMasalah = keteranganMasalah;
	}
	public String getKeteranganPengaruhPenyakit() {
		return keteranganPengaruhPenyakit;
	}
	public void setKeteranganPengaruhPenyakit(String keteranganPengaruhPenyakit) {
		this.keteranganPengaruhPenyakit = keteranganPengaruhPenyakit;
	}
	public String getKeteranganKoping() {
		return keteranganKoping;
	}
	public void setKeteranganKoping(String keteranganKoping) {
		this.keteranganKoping = keteranganKoping;
	}
	public String getKeteranganPertolongan() {
		return keteranganPertolongan;
	}
	public void setKeteranganPertolongan(String keteranganPertolongan) {
		this.keteranganPertolongan = keteranganPertolongan;
	}
	public String getKeteranganHarapan() {
		return keteranganHarapan;
	}
	public void setKeteranganHarapan(String keteranganHarapan) {
		this.keteranganHarapan = keteranganHarapan;
	}
	public String getKeteranganSehat() {
		return keteranganSehat;
	}
	public void setKeteranganSehat(String keteranganSehat) {
		this.keteranganSehat = keteranganSehat;
	}
	public String getKeteranganPenyakit() {
		return keteranganPenyakit;
	}
	public void setKeteranganPenyakit(String keteranganPenyakit) {
		this.keteranganPenyakit = keteranganPenyakit;
	}
	public PengkajianAwalBaru getPengkajianAwalBaru() {
		return pengkajianAwalBaru;
	}
	public void setPengkajianAwalBaru(PengkajianAwalBaru pengkajianAwalBaru) {
		this.pengkajianAwalBaru = pengkajianAwalBaru;
	}
	public String getPengkajianAwalBaruId() {
		return pengkajianAwalBaruId;
	}
	public void setPengkajianAwalBaruId(String pengkajianAwalBaruId) {
		this.pengkajianAwalBaruId = pengkajianAwalBaruId;
	}

}
